# $Revision: 1.11 $, $Date: 2008/08/11 15:43:14 $
Summary:	Common Address Redundancy Protocol (CARP) for Unix
Summary(pl.UTF-8):	CARP (Common Address Redundancy Protocol) dla Uniksa
Name:		ucarp
Version:	1.5
Release:	2
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.ucarp.org/pub/ucarp/%{name}-%{version}.tar.gz
# Source0-md5:	ba585233e73f0dbce80427d04f431048
URL:		http://www.ucarp.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UCARP allows a couple of hosts to share common virtual IP addresses in
order to provide automatic failover. It is a portable userland
implementation of the secure and patent-free Common Address Redundancy
Protocol (CARP, OpenBSD's alternative to the VRRP).

Strong points of the CARP protocol are: very low overhead,
cryptographically signed messages, interoperability between different
operating systems and no need for any dedicated extra network link
between redundant hosts.

%description -l pl.UTF-8
UCARP pozwala kilku hostom na dzielenie wspólnych wirtualnych adresów
IP w celu automatycznego przejmowania w przypadku awarii. Jest to
przenośna implementacja w przestrzeni użytkownika bezpiecznego i
wolnego od patentów protokołu CARP (Common Address Redundancy Protocol
- alternatywy OpenBSD dla VRRP).

Silne punkty protokołu CARP to: bardzo mały narzut, kryptograficznie
podpisywanie komunikaty, współdziałanie między różnymi systemami
operacyjnymi i brak potrzeby dedykowanego dodatkowego połączenia
sieciowego między nadmiarowymi hostami.

%prep
%setup -q 

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_sbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ucarp.spec,v $
Revision 1.11  2008/08/11 15:43:14  shadzik
- use own libtool
- rel 2

Revision 1.10  2008/08/11 14:27:07  areq
- 1.5

Revision 1.9  2008/03/18 16:36:06  areq
- add yandex-multicast-handlers.patch

Revision 1.8  2008-03-13 23:02:47  areq
- 1.4

Revision 1.7  2007-10-09 19:30:47  qboosh
- unified

Revision 1.6  2007/10/02 17:23:16  darekr
- it's patch number 0

Revision 1.5  2007/10/02 17:21:16  darekr
- fix build - added patch0

Revision 1.4  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.2  2004/10/16 17:13:23  qboosh
- pl, longer desc from URL

Revision 1.1  2004/10/12 00:13:42  adasi
 - initial PLD release
 - not tested
 - needs cosmetics
